module MeasureMethod
  module Logger
    extend self

    def log(data)
      puts(stringify(data))
    end

    def stringify(data)
      data.map do |k,v|
        if v.to_s =~ /[^0-9A-Z._-]/i
          [k, '=', '"', v, '"'].join
        else
          "#{k}=#{v}"
        end
      end.join(' ')
    end

    def puts(str)
      $stdout.puts(str)
    end
  end
end
